Images missing from PDF Export

2024-05-31 12:01 - Ewan Makepeace

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.1.2

Description

When I export to PDF almost all images are missing:

1. PNG

2. JPG

I have seen a couple of exceptions (the one I was just looking at was a jpg that was rendered where other jpg on the same page did

not).

I attach an example screenshot, PDF and source. NOTE: This example is using {width:30%} to control image widths (something I did

not even know was possible!) but I tried removing that and it made no difference.

History

#1 - 2024-06-21 04:44 - Go MAEDA

Could you provide images that cause the problem?

#2 - 2024-10-18 11:37 - popy popy

I also experienced such issue when using ckeditor and pasting the image with CTRL-V.

The images will be populated like:

<img src="https://1.2.3.4/attachments/download/1104">

 the function get_image_filename looks like this in 5.0.5:

        def get_image_filename(attrname)

          atta = RDMPdfEncoding.attach(@attachments, attrname, "UTF-8")

          if atta

            return atta.diskfile

          # rubocop:disable Lint/DuplicateBranch

          elsif %r{/attachments/download/(?<id>[^/]+)/} =~ attrname and

                atta = @attachments.find{|a| a.id.to_s == id} and

                atta.readable? and atta.visible?

            return atta.diskfile

          # rubocop:enable Lint/DuplicateBranch

          elsif %r{/attachments/thumbnail/(?<id>[^/]+)/(?<size>\d+)} =~ attrname and

                atta = @attachments.find{|a| a.id.to_s == id} and

                atta.readable? and atta.visible?

            return atta.thumbnail(size: size)

          else

            return nil

          end

        end

 as you can see the line:

elsif %r{/attachments/download/(?<id>[^/]+)/} =~ attrname and

 is checking for a trailing "/" (slash) which my redmine does not insert!

-> the issue occures.

To fix this i have changed the line to:
elsif %r{/attachments/download/(?<id>[^/]+)} =~ attrname and

 Just removed the trailing slash.

And now it works just fine.

Here in beyond compare: https://imgur.com/a/3nEVTtb
